﻿.news-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding-bottom: 20px;
    margin-top: 80px;
    min-height: calc(100vh - 80px);
}
.news-class-box{
    width: 100%;
    box-sizing: border-box;
    padding-top: 90px;
    padding-bottom: 100px;
    display: block;
    text-align: center;
    position: relative;
}
.news-class-btn{
    width: 160px;
    display: inline-block;
    font-size: 16px;
    color: #000;
    margin: 0 17.5px;
    letter-spacing: 1px;
    position: relative;
    line-height: 46px;
    cursor: pointer;
    transition: all .3s linear;
}
.news-class-btn:after{
    content: '';
    width: 100%;
    height: 2px;
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: #888;
    transition: all .3s linear;
}
.news-info{
    width: 360px;
    display: inline-block;
    vertical-align: top;
    margin-left: 60px;
    margin-bottom: 10px;
}

.news-info:nth-child(3n + 1){
    margin-left: 0;
}

.news-info-img-box{
    width: 100%;
    height: 260px;
    display: block;
    overflow: hidden;
}
.news-info-img{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
}
.news-info-data-box{
    width: 100%;
    display: block;
    position: relative;
}
.news-info-data{
    font-size: 14px;
    font-family: 'Roboto';
    font-weight: 100;
    letter-spacing: 2px;
    color: #888;
    display: inline-block;
    vertical-align: middle;
    line-height: 36px;
}
.news-info-tag-box{
    width: 160px;
    background-color: #00a4a5;
    text-align: center;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    right: -10px;
    top: -15px;
    transition: all .3s linear;
}
.news-info-tag{
    line-height: 30px;
    font-size: 14px;
    color: #fff;
    letter-spacing: 1px;
}
.news-info-text{
    font-size: 16px;
    line-height: 36px;
    letter-spacing: 1px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.page .prev, 
.page .next{
    color: #00a4a5;
}
.page .select{
    color: #79be3f;
}

/*----------hover----------*/
.news-class-btn.active,
.news-class-btn:hover{
    color: #00a4a5;
}
.news-class-btn.active:after,
.news-class-btn:hover:after{
    background-color: #00a4a5;
}
.news-info:hover .news-info-img{
    transform: scale(1.1);
}
.news-info:hover .news-info-tag-box{
    background-color: #79be3f;
}
.page .prev:hover, .page .next:hover{
    color: #79be3f;
}
.page a:hover{
    color: #79be3f;
}

@media only screen and (max-width: 1200px){
    .news-box{
        width: 1000px;
    }
    .news-info{
        width: 310px;
        margin-left: 34px;
    }
    .news-info-img-box{
        height: 224px;
    }
}
@media only screen and (max-width: 1000px){
    .news-box{
        width: 750px;
    }
    .news-class-box{
        padding: 50px 0;
    }
    .rwd-news-class-box{
        width: 100%;
        height: 46px;
        border: 1px solid #d1d1d1;
        font-size: 16px;
        letter-spacing: 1px;
        text-align: center;
        display: block;
        line-height: 46px;
        position: relative;
        box-sizing: border-box;
    }
    .rwd-news-class-box:after {
        content: '';
        width: 0px;
        height: 0px;
        margin: 0 auto;
        border-right: 5px solid transparent;
        border-top: 8px solid #888;
        border-left: 5px solid transparent;
        display: block;
        position: absolute;
        bottom: calc(50% - 5px);
        right: 5%;
        box-sizing: border-box;
    }
    .news-class-btn-box{
        width: 100%;
        display: none;
        box-sizing: border-box;
        border: 1px solid #d1d1d1;
        border-top: none;
        background-color: #fff;
        position: absolute;
        z-index: 9;
    }
    .news-class-btn{
        width: 100%;
        display: block;
        margin: 0;
    }
    .news-class-btn:after{
        display: none;
    }
    .news-class-btn:hover,
    .news-class-btn.active{
        color: #fff;
        background-color: #79be3f;
    }
    .news-info{
        width: 360px;
    }
    .news-info:nth-child(n) {
        margin-left: 30px;
    }
    .news-info:nth-child(2n + 1) {
        margin-left: 0;
    }
    .news-info-img-box{
        height: 260px;
    }
}
@media only screen and (max-width: 750px){
    .news-box{
        width: 550px;
    }
    .news-info{
        width: 260px;
    }
    .news-info-img-box{
        height: 188px;
    }
    .news-info-data{
        line-height: 30px;
    }
    .news-info-text{
        line-height: 30px;
    }
    .news-info-tag-box{
        width: 140px;
    }
}
@media only screen and (max-width: 550px){
    .news-box{
        width: 400px;
    }
    .news-class-box{
        padding: 35px 0;
    }
    .news-info{
        width: 100%;
        margin-bottom: 30px;
    }
    .news-info:nth-child(n) {
        margin-left: 0;
    }
    .news-info-img-box{
        height: 289px;
    }
    .news-info-data{
        font-size: 12px
    }
    .news-info-text{
        font-size: 14px;
        line-height: inherit;
    }
    .news-info-tag{
        line-height: 26px;
        font-size: 12px;
    }
    .rwd-news-class-box{
        line-height: 36px;
        height: 36px;
        font-size: 14px;
    }
    .news-class-btn{
        font-size: 14px;
        line-height: 36px;
    }
}
@media only screen and (max-width: 400px){
    .news-box{
        width: 300px;
    }
    .news-info-img-box{
        height: 217px;
    }
}



/*高度*/
@-webkit-keyframes tag_zero {
  from {
    right: 0;
    top: 0;
   
  }

  to {
    right: -10px;
    top: -15px;

  }
}
@keyframes tag_zero {
 from {
    right: 0;
    top: 0;
  }
  to {
    right: -10px;
    top: -15px;
  }
}


/*animation*/

@media only screen and (min-width: 1001px){
    .news-class-box,
    .news-info,
    .page{
        opacity: 0;
    }
    .news-class-box.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .news-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .news-info.anima .news-info-tag-box{
        animation: tag_zero 1s ease 0.5s 1 both;
    }
    .page.anima{
        animation: fade 1s ease 0s 1 both;
    }
}